apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspaceTemplate
metadata:
  creationTimestamp: '2023-12-08T15:31:17Z'
  generation: 1
  managedFields:
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:ownerReferences':
            .: {}
            'k:{"uid":"051e4d79-aff9-46dd-a0c3-077446154968"}': {}
        'f:spec':
          .: {}
          'f:commands': {}
          'f:components': {}
          'f:events':
            .: {}
            'f:postStart': {}
            'f:preStart': {}
      manager: unknown
      operation: Update
      time: '2023-12-08T15:31:17Z'
  name: che-code-java-lombok
  namespace: admin-devspaces
  ownerReferences:
    - apiVersion: workspace.devfile.io/v1alpha2
      kind: devworkspace
      name: java-lombok
      uid: 051e4d79-aff9-46dd-a0c3-077446154968
  resourceVersion: '39535243'
  uid: e0ee769a-d85a-4fc8-b2fe-419b4feed06a
spec:
  commands:
    - apply:
        component: che-code-injector
      id: init-container-command
    - exec:
        commandLine: >-
          nohup /checode/entrypoint-volume.sh > /checode/entrypoint-logs.txt
          2>&1 &
        component: che-code-runtime-description
      id: init-che-code-command
  components:
    - attributes:
        app.kubernetes.io/component: che-code-runtime
        app.kubernetes.io/part-of: che-code.eclipse.org
        controller.devfile.io/container-contribution: true
      container:
        cpuRequest: 30m
        env:
          - name: CHE_DASHBOARD_URL
            value: 'https://devspaces.apps.ds-airgap-v13.crw-qe.com'
          - name: CHE_PLUGIN_REGISTRY_URL
            value: 'https://devspaces.apps.ds-airgap-v13.crw-qe.com/plugin-registry/v3'
          - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
            value: 'http://plugin-registry.openshift-devspaces.svc:8080/v3'
          - name: CLUSTER_CONSOLE_URL
            value: 'https://console-openshift-console.apps.ds-airgap-v13.crw-qe.com'
          - name: CLUSTER_CONSOLE_TITLE
            value: OpenShift console
          - name: OPENVSX_REGISTRY_URL
            value: ''
        memoryRequest: 256Mi
        sourceMapping: /projects
        cpuLimit: 500m
        volumeMounts:
          - name: checode
            path: /checode
        memoryLimit: 1024Mi
        image: >-
          ec2-3-147-27-94.us-east-2.compute.amazonaws.com:5000/devspaces/udi-rhel8@sha256:571ceed7b4b886b7f989ba193fa74ec863600f56f7c0045f3a1af6dadf09f85b
        endpoints:
          - attributes:
              cookiesAuthEnabled: true
              discoverable: false
              type: main
              urlRewriteSupported: true
            exposure: public
            name: che-code
            protocol: https
            secure: false
            targetPort: 3100
          - attributes:
              discoverable: false
              urlRewriteSupported: false
            exposure: public
            name: code-redirect-1
            protocol: http
            targetPort: 13131
          - attributes:
              discoverable: false
              urlRewriteSupported: false
            exposure: public
            name: code-redirect-2
            protocol: http
            targetPort: 13132
          - attributes:
              discoverable: false
              urlRewriteSupported: false
            exposure: public
            name: code-redirect-3
            protocol: http
            targetPort: 13133
      name: che-code-runtime-description
    - name: checode
      volume: {}
    - container:
        cpuRequest: 30m
        command:
          - /entrypoint-init-container.sh
        env:
          - name: CHE_DASHBOARD_URL
            value: 'https://devspaces.apps.ds-airgap-v13.crw-qe.com'
          - name: CHE_PLUGIN_REGISTRY_URL
            value: 'https://devspaces.apps.ds-airgap-v13.crw-qe.com/plugin-registry/v3'
          - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
            value: 'http://plugin-registry.openshift-devspaces.svc:8080/v3'
          - name: CLUSTER_CONSOLE_URL
            value: 'https://console-openshift-console.apps.ds-airgap-v13.crw-qe.com'
          - name: CLUSTER_CONSOLE_TITLE
            value: OpenShift console
          - name: OPENVSX_REGISTRY_URL
            value: ''
        memoryRequest: 32Mi
        sourceMapping: /projects
        cpuLimit: 500m
        volumeMounts:
          - name: checode
            path: /checode
        memoryLimit: 256Mi
        image: >-
          ec2-3-147-27-94.us-east-2.compute.amazonaws.com:5000/devspaces/code-rhel8@sha256:d4c7e8065d1903dd925a1c8a538b8fb88961eb58b077cd206a1c743916bc1ffb
      name: che-code-injector
  events:
    postStart:
      - init-che-code-command
    preStart:
      - init-container-command
